<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Upgrade code for install
 *
 * @package   mod_viaassign
 * @copyright 2012 NetSpot {@link http://www.netspot.com.au}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

/**
 * upgrade this viaassignment instance - this function could be skipped but it will be needed later
 * @param int $oldversion The old version of the viaassign module
 * @return bool
 */
defined('MOODLE_INTERNAL') || die();
function xmldb_viaassign_upgrade($oldversion) {
    global $CFG, $DB;

    $dbman = $DB->get_manager();

	if ($oldversion < 2017030101) {
        // Assign savepoint reached.
		upgrade_mod_savepoint(true, 2017030101, 'viaassign');
    }
    return true;
}